Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol.async
Class SendingSearch

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.async.SendingSearch

All Implemented Interfaces:
  Runnable

    public class SendingSearch

extends SendingAsync

Sending search request messages using the supplied search type.

Sends all search messages twice, waits 0 to 100 milliseconds between each sending procedure.

Author:
  Christian Bauer

Constructor Summary
`SendingSearch(UpnpService upnpService)` Defaults to `STAllHeader` and an MX of 3 seconds.
`SendingSearch(UpnpService upnpService, UpnpHeader searchTarget)` Defaults to an MX value of 3 seconds.
`SendingSearch(UpnpService upnpService, UpnpHeader searchTarget, int mxSeconds)`

Method Summary
`protected void` | `execute()`
`int` | `getBulkIntervalMilliseconds()`
`int` | `getBulkRepeat()`
`int` | `getMxSeconds()`
`UpnpHeader` | `getSearchTarget()`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getUpnpService, run, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendingSearch

    public SendingSearch(UpnpService upnpService)

  Defaults to `STAllHeader` and an MX of 3 seconds.

### SendingSearch

    public SendingSearch(UpnpService upnpService,
                         UpnpHeader searchTarget)

  Defaults to an MX value of 3 seconds.

### SendingSearch

    public SendingSearch(UpnpService upnpService,
                         UpnpHeader searchTarget,
                         int mxSeconds)

Parameters:
  `mxSeconds` - The time in seconds a host should wait before responding.

Method Detail

### getSearchTarget

    public UpnpHeader getSearchTarget()

### getMxSeconds

    public int getMxSeconds()

### execute

    protected void execute()

  Specified by:
    `execute` in class `SendingAsync`

### getBulkRepeat

    public int getBulkRepeat()

### getBulkIntervalMilliseconds

    public int getBulkIntervalMilliseconds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.